<app-popup></app-popup>
<div class = "newTag">
  <div class = "heading">
    <mat-icon style = "color: 'white'">table_chart</mat-icon> <span>Tag Lists</span>
  </div>
  <button class="btnNew" (click) = "menu === 20?!editMode?SaveTag():Edit():newTag()">{{menu === 20? 'Save': '+ New Tag'}}</button>
</div>
<div class = "languages">
  <li [ngClass] = "{activeLang: language[0]}" (click) = "LangClick(0)">AZ</li>
  <li [ngClass] = "{activeLang: language[1]}" (click) = "LangClick(1)">En</li>
  <li [ngClass] = "{activeLang: language[2]}" (click) = "LangClick(2)">Ru</li>
  <li [ngClass] = "{activeLang: language[3]}" (click) = "LangClick(3)">Tr</li>
</div>
<div class = "main">
  <div class = "teq" *ngIf = "menu === 2">
    <table>
      <tr class = "tHeader">
        <th>№</th>
        <th>Tag Name</th>
        <th>Tag Type</th>
        <th>Store Count</th>
        <th>Status</th>
        <th></th>
      </tr>
      <tr>
        <td></td>
        <td><input class = "searchTag" type = "text" placeholder = "Axtar" /></td>
        <td><input class = "searchType" type = "text" placeholder = "Axtar" /></td>
        <td><input class = "searchCount" type = "text" placeholder = "Axtar" /></td>
        <td></td>
        <td></td>
      </tr>
      <tr
      *ngFor = "let tag of tags.data;let index=index"
      >
      <td>{{index+1}}</td>
      <td><img class = "tagImg" [src] = "'https://dev-api.fooderos.com/storage/' + tag.media.path + '/' + tag.media.name"> <span class = "tagName"> {{tag.locales[activeLanguageIndex] !== undefined ? tag.locales[activeLanguageIndex].title:tag.locales[0].title}}</span></td>
      <td class = "tagType">{{tag.tag_type.name}}</td>
      <td class = "storeCount">{{tag.applied_branches_count}}</td>
      <td class = "status"><mat-slide-toggle [checked] = "+tag.status === 1" (change) = "tagStatusChange(+tag.status, tag.id)"></mat-slide-toggle></td>
      <td mat-button [matMenuTriggerFor] = "menu" class = "moreSection"><mat-icon class = "more" >more_horiz</mat-icon>
        <mat-menu #menu="matMenu">
          <button (click) = "editTag(tag.id)" class = "moreBtn" mat-menu-item>Edit</button>
          <button (click) = "deleteTag(tag.id)" class = "moreBtn" mat-menu-item>Delete</button>
        </mat-menu>
      </td>
    </tr>
    </table>
    <button class = "loadMoreBtn" (click) = "loadMore()">LOAD MORE</button>
  </div>
  <div *ngIf="menu===20" class="newTagSection">
    <div class="newTagHeader">
      <h1>Add new Tag</h1>
    </div>
    <div class="addnewTag">
      <div class = "fileUpload">
        <div class="uploadfilecontainer" appDragDrop (onFileDropped)="uploadFile($event)">
          <img [src] = "url" class = "uploadImage" [ngStyle] = "{display: !url?'none':'block'}"/>
          <div class = "imgContent" [ngStyle] = "{display: url?'none':'block'}">
            <button (click)="fileInput.click()">Add File</button>
            <p>or drop file to upload</p>
            <input class = "inp" type = "file" #fileInput (change)="uploadFile($event.target.files)">
          </div>
        </div>
        <p class ='imgReq'>Image size 88x88 px</p>
        <div  class="files-list" *ngFor="let file of files;let i= index">
            <p> {{ file }} </p>
         </div>
      </div>
      <div class = "aboutTagName">
        <mat-form-field class = "tName" appearance="outline">
          <mat-label>Tag Name</mat-label>
          <input matInput (change) = "changeInp($event)" #inpTag [value] = "!editMode? null: editingTag.locales[activeLanguageIndex] !== undefined ? editingTag.locales[activeLanguageIndex].title: editingTag.locales[0].title">
          <mat-hint>The name is how it appears on your site</mat-hint>
        </mat-form-field>
      </div>
      <div class = "aboutTagType">
        <mat-form-field appearance = "outline">
          <mat-label>Tag Type</mat-label>
          <mat-select #tagType [value] = "!editMode?'1': editingTag.tag_type.id.toString()">
            <mat-option value="1">General</mat-option>
            <mat-option value="2">Special</mat-option>
          </mat-select>
          <mat-hint>Please add category type</mat-hint>
        </mat-form-field>
      </div>
    </div>
  </div>
</div>
